Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.6 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

(Solved)Cannot install perl-Plack in Centos 8.x

Hello guys.

I want to install OCS Inventory server under Centos 8.x(1,2).

I found some issue with 2 Perl modules.

Plack

Switch

I used to have OCS under Centos 7 no issue, but with centos 8 cannot install those to modules, I have Repo Remi and EPEL installed to.

Plack send conflict error:

yum install  -y perl-Plack

Last metadata expiration check: 0:52:06 ago on Wed 01 Jul 2020 10:10:09 AM PDT.

Error:

 Problem: conflicting requests

  - nothing provides perl(Devel::StackTrace) needed by perl-Plack-1.0047-7.el8.noarch

(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Perl-Switch don't exist in my repos.

yum install  -y perl-Switch

Last metadata expiration check: 0:52:27 ago on Wed 01 Jul 2020 10:10:09 AM PDT.

No match for argument: perl-Switch

Error: Unable to find a match: perl-Switch

Anyone with success history for centos 8 and OCS Inventory server?

Any tip I will appreciated, thanks!!!
in OCS Inventory NG server for Unix by (200 points)
edited by

1 Answer

0 votes
Forget this, I found those module in Centos PowerTools!!!
by (200 points)
 
Powered by Question2Answer
...